package com.wd.workoffice.contract;

import com.wd.workoffice.app.BaseBean;

import java.util.Map;

import flexible.xd.android_base.mvpBase.IBaseModel;
import flexible.xd.android_base.mvpBase.IBasePresenter;
import flexible.xd.android_base.mvpBase.IBaseView;
import io.reactivex.Observable;
import retrofit2.Call;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public interface LoginContract {
    interface Model extends IBaseModel {
        Observable<BaseBean> getCode(String phone, String type);

        Call<BaseBean> login(String type, Map<String,Object> param);
    }

    interface View extends IBaseView {
        void codeSuccess();

        void loginSuccess();
    }

    interface Presenter extends IBasePresenter<View> {
        void getCode(String phone, String type);

        void login(String type ,Map<String,Object> param);

    }
}
